Package ru.bitel.bgbilling.kernel.module.common.bean

# Class Role

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.module.common.bean.Role

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`, `TreeNode<Role>`

public class Role extends IdTitle implements TreeNode<Role>

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Role()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Role>`
  `getChildren()`
  `int`
  `getMenuId()`
  `List<PermissionKit>`
  `getPermissionKits()`
  `Role`
  `setChildren(List<Role> children)`
  `Role`
  `setId(int id)`
  Устанавливает id объекта
  `Role`
  `setMenuId(int menuId)`
  `Role`
  `setPermissionKits(List<PermissionKit> permissionKits)`
  `Role`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### Role

    public Role()

- ## Method Details

  - ### getChildren

    public List<Role> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<Role>`

  - ### getMenuId

    public int getMenuId()

  - ### getPermissionKits

    public List<PermissionKit> getPermissionKits()

  - ### setChildren

    public Role setChildren(List<Role> children)

  - ### setId

    public Role setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setMenuId

    public Role setMenuId(int menuId)

  - ### setPermissionKits

    public Role setPermissionKits(List<PermissionKit> permissionKits)

  - ### setTitle

    public Role setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`